<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerRawDataCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html">TrackerRawDataCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_tracker_raw_data_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerRawDataCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::TrackerRawDataCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_tracker_raw_data_collection__inherit__graph.png" border="0" usemap="#eic_1_1_tracker_raw_data_collection_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_tracker_raw_data_collection_inherit__map" id="eic_1_1_tracker_raw_data_collection_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::TrackerRawDataCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_tracker_raw_data_collection__coll__graph.png" border="0" usemap="#eic_1_1_tracker_raw_data_collection_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_tracker_raw_data_collection_coll__map" id="eic_1_1_tracker_raw_data_collection_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:adcb2bfd24dcf377bd60b72f57c2c17b9"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#adcb2bfd24dcf377bd60b72f57c2c17b9">const_iterator</a> = const <a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html">TrackerRawDataCollectionIterator</a></td></tr>
<tr class="separator:adcb2bfd24dcf377bd60b72f57c2c17b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad1f2db25dd0f4fe453b628a5e0d38ce3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ad1f2db25dd0f4fe453b628a5e0d38ce3">TrackerRawDataCollection</a> ()</td></tr>
<tr class="separator:ad1f2db25dd0f4fe453b628a5e0d38ce3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae02b18170750762975c28ac4a6f414a9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ae02b18170750762975c28ac4a6f414a9">~TrackerRawDataCollection</a> ()</td></tr>
<tr class="separator:ae02b18170750762975c28ac4a6f414a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad437023bfc6243e59f90c5a0c8f721e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ad437023bfc6243e59f90c5a0c8f721e0">clear</a> () override final</td></tr>
<tr class="separator:ad437023bfc6243e59f90c5a0c8f721e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2dd4b6f8d6cc84546aae43a6ac9cccc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html">TrackerRawDataCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ac2dd4b6f8d6cc84546aae43a6ac9cccc">operator-&gt;</a> ()</td></tr>
<tr class="memdesc:ac2dd4b6f8d6cc84546aae43a6ac9cccc"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator to allow pointer like calling of members a la LCIO  <a href="#ac2dd4b6f8d6cc84546aae43a6ac9cccc">More...</a><br /></td></tr>
<tr class="separator:ac2dd4b6f8d6cc84546aae43a6ac9cccc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3946f77a5bd97176888d9078d72e8e79"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a3946f77a5bd97176888d9078d72e8e79">create</a> ()</td></tr>
<tr class="memdesc:a3946f77a5bd97176888d9078d72e8e79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new object to the collection, and return this object.  <a href="#a3946f77a5bd97176888d9078d72e8e79">More...</a><br /></td></tr>
<tr class="separator:a3946f77a5bd97176888d9078d72e8e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aacb38f6cd7f1f681091d3bcc443f72"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:a8aacb38f6cd7f1f681091d3bcc443f72"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a8aacb38f6cd7f1f681091d3bcc443f72">create</a> (Args &amp;&amp;... args)</td></tr>
<tr class="separator:a8aacb38f6cd7f1f681091d3bcc443f72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4b866ee87e35f4b8a7e94b1dd16447f"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ab4b866ee87e35f4b8a7e94b1dd16447f">size</a> () const override final</td></tr>
<tr class="memdesc:ab4b866ee87e35f4b8a7e94b1dd16447f"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the collection  <a href="#ab4b866ee87e35f4b8a7e94b1dd16447f">More...</a><br /></td></tr>
<tr class="separator:ab4b866ee87e35f4b8a7e94b1dd16447f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3fe7c2d4238c3b8203b371664df681a"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ad3fe7c2d4238c3b8203b371664df681a">getValueTypeName</a> () const override</td></tr>
<tr class="memdesc:ad3fe7c2d4238c3b8203b371664df681a"><td class="mdescLeft">&#160;</td><td class="mdescRight">fully qualified type name of elements - with namespace  <a href="#ad3fe7c2d4238c3b8203b371664df681a">More...</a><br /></td></tr>
<tr class="separator:ad3fe7c2d4238c3b8203b371664df681a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec90f24692c84b68b37afb3f39a3755f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#aec90f24692c84b68b37afb3f39a3755f">operator[]</a> (unsigned int index) const</td></tr>
<tr class="memdesc:aec90f24692c84b68b37afb3f39a3755f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#aec90f24692c84b68b37afb3f39a3755f">More...</a><br /></td></tr>
<tr class="separator:aec90f24692c84b68b37afb3f39a3755f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada6c71a37b7e335b932687b519442189"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ada6c71a37b7e335b932687b519442189">operator[]</a> (unsigned int index)</td></tr>
<tr class="memdesc:ada6c71a37b7e335b932687b519442189"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of a given index.  <a href="#ada6c71a37b7e335b932687b519442189">More...</a><br /></td></tr>
<tr class="separator:ada6c71a37b7e335b932687b519442189"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4951a8dd0410d2e61d06f16a505ebe1"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ae4951a8dd0410d2e61d06f16a505ebe1">at</a> (unsigned int index) const</td></tr>
<tr class="memdesc:ae4951a8dd0410d2e61d06f16a505ebe1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#ae4951a8dd0410d2e61d06f16a505ebe1">More...</a><br /></td></tr>
<tr class="separator:ae4951a8dd0410d2e61d06f16a505ebe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ce233c0d18e67bb7eff05cc88704cf8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a9ce233c0d18e67bb7eff05cc88704cf8">at</a> (unsigned int index)</td></tr>
<tr class="memdesc:a9ce233c0d18e67bb7eff05cc88704cf8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of given index.  <a href="#a9ce233c0d18e67bb7eff05cc88704cf8">More...</a><br /></td></tr>
<tr class="separator:a9ce233c0d18e67bb7eff05cc88704cf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39b6a25ca3a3383fbc414513121d930d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a39b6a25ca3a3383fbc414513121d930d">push_back</a> (<a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> object)</td></tr>
<tr class="memdesc:a39b6a25ca3a3383fbc414513121d930d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append object to the collection.  <a href="#a39b6a25ca3a3383fbc414513121d930d">More...</a><br /></td></tr>
<tr class="separator:a39b6a25ca3a3383fbc414513121d930d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18351fd5d0945d83418052e399b59bef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a18351fd5d0945d83418052e399b59bef">prepareForWrite</a> () override final</td></tr>
<tr class="separator:a18351fd5d0945d83418052e399b59bef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d0b893415c85c8113b46fa6bdccb766"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a0d0b893415c85c8113b46fa6bdccb766">prepareAfterRead</a> () override final</td></tr>
<tr class="separator:a0d0b893415c85c8113b46fa6bdccb766"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af969cb77886ecc553027b83ba0dd4a13"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#af969cb77886ecc553027b83ba0dd4a13">setBuffer</a> (void *address) override final</td></tr>
<tr class="separator:af969cb77886ecc553027b83ba0dd4a13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bdab462d1cde1d9d2f1f90fe45b15be"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a2bdab462d1cde1d9d2f1f90fe45b15be">setReferences</a> (const podio::ICollectionProvider *collectionProvider) override final</td></tr>
<tr class="separator:a2bdab462d1cde1d9d2f1f90fe45b15be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7be83fd50a526cb4645587a3f10cdba"><td class="memItemLeft" align="right" valign="top">podio::CollRefCollection *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ad7be83fd50a526cb4645587a3f10cdba">referenceCollections</a> () override final</td></tr>
<tr class="separator:ad7be83fd50a526cb4645587a3f10cdba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e89af80ac8facc9de3853e4897b503f"><td class="memItemLeft" align="right" valign="top">podio::VectorMembersInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a3e89af80ac8facc9de3853e4897b503f">vectorMembers</a> () override</td></tr>
<tr class="separator:a3e89af80ac8facc9de3853e4897b503f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c95ef1fc9acdd1566725c3fa65cb2b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a5c95ef1fc9acdd1566725c3fa65cb2b2">setID</a> (unsigned ID) override final</td></tr>
<tr class="separator:a5c95ef1fc9acdd1566725c3fa65cb2b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0387d13e296829b4d089ecbfe700cf22"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a0387d13e296829b4d089ecbfe700cf22">getID</a> () const override final</td></tr>
<tr class="separator:a0387d13e296829b4d089ecbfe700cf22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cdc1549844389f49f36569ac5a651bc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a1cdc1549844389f49f36569ac5a651bc">isValid</a> () const override final</td></tr>
<tr class="separator:a1cdc1549844389f49f36569ac5a651bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02fa77c5e3015d6118220c7cc257aee6"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_raw_data_collection.html#adcb2bfd24dcf377bd60b72f57c2c17b9">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a02fa77c5e3015d6118220c7cc257aee6">begin</a> () const</td></tr>
<tr class="separator:a02fa77c5e3015d6118220c7cc257aee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afab52673ccf90acaabdd28864e17c3ec"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_raw_data_collection.html#adcb2bfd24dcf377bd60b72f57c2c17b9">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#afab52673ccf90acaabdd28864e17c3ec">end</a> () const</td></tr>
<tr class="separator:afab52673ccf90acaabdd28864e17c3ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9491868a7b9ce212f19a0be29de7ddc4"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a9491868a7b9ce212f19a0be29de7ddc4">getBufferAddress</a> () override final</td></tr>
<tr class="memdesc:a9491868a7b9ce212f19a0be29de7ddc4"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the address of the pointer to the data buffer  <a href="#a9491868a7b9ce212f19a0be29de7ddc4">More...</a><br /></td></tr>
<tr class="separator:a9491868a7b9ce212f19a0be29de7ddc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafc53d4dec76a4ed060ffd1b33aa7ecc"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classeic_1_1_tracker_raw_data_data.html">TrackerRawDataData</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#aafc53d4dec76a4ed060ffd1b33aa7ecc">_getBuffer</a> ()</td></tr>
<tr class="memdesc:aafc53d4dec76a4ed060ffd1b33aa7ecc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the pointer to the data buffer.  <a href="#aafc53d4dec76a4ed060ffd1b33aa7ecc">More...</a><br /></td></tr>
<tr class="separator:aafc53d4dec76a4ed060ffd1b33aa7ecc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad84c35536a08ddbde203a214edb96e6b"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:ad84c35536a08ddbde203a214edb96e6b"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ad84c35536a08ddbde203a214edb96e6b">cellID0</a> () const</td></tr>
<tr class="separator:ad84c35536a08ddbde203a214edb96e6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd2d3c49070cd88a927205afeee8260b"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:abd2d3c49070cd88a927205afeee8260b"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#abd2d3c49070cd88a927205afeee8260b">cellID1</a> () const</td></tr>
<tr class="separator:abd2d3c49070cd88a927205afeee8260b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a125f1a06f924f6d8e112b3a5d2a9d559"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a125f1a06f924f6d8e112b3a5d2a9d559"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a125f1a06f924f6d8e112b3a5d2a9d559">channelID</a> () const</td></tr>
<tr class="separator:a125f1a06f924f6d8e112b3a5d2a9d559"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c9767df02caad3450b12bb01d81245d"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a9c9767df02caad3450b12bb01d81245d"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; int, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a9c9767df02caad3450b12bb01d81245d">time</a> () const</td></tr>
<tr class="separator:a9c9767df02caad3450b12bb01d81245d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7501dae6ab89aa73eddc3b5313ea6f9"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:ac7501dae6ab89aa73eddc3b5313ea6f9"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; int, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ac7501dae6ab89aa73eddc3b5313ea6f9">adc</a> () const</td></tr>
<tr class="separator:ac7501dae6ab89aa73eddc3b5313ea6f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A Collection is identified by an ID. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00050">50</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="adcb2bfd24dcf377bd60b72f57c2c17b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcb2bfd24dcf377bd60b72f57c2c17b9">&#9670;&nbsp;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classeic_1_1_tracker_raw_data_collection.html#adcb2bfd24dcf377bd60b72f57c2c17b9">eic::TrackerRawDataCollection::const_iterator</a> =  const <a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html">TrackerRawDataCollectionIterator</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00053">53</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad1f2db25dd0f4fe453b628a5e0d38ce3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1f2db25dd0f4fe453b628a5e0d38ce3">&#9670;&nbsp;</a></span>TrackerRawDataCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerRawDataCollection::TrackerRawDataCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00013">13</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

</div>
</div>
<a id="ae02b18170750762975c28ac4a6f414a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae02b18170750762975c28ac4a6f414a9">&#9670;&nbsp;</a></span>~TrackerRawDataCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerRawDataCollection::~TrackerRawDataCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00018">18</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00050">clear()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aafc53d4dec76a4ed060ffd1b33aa7ecc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafc53d4dec76a4ed060ffd1b33aa7ecc">&#9670;&nbsp;</a></span>_getBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classeic_1_1_tracker_raw_data_data.html">TrackerRawDataData</a>&gt;* eic::TrackerRawDataCollection::_getBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the pointer to the data buffer. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00128">128</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ac7501dae6ab89aa73eddc3b5313ea6f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7501dae6ab89aa73eddc3b5313ea6f9">&#9670;&nbsp;</a></span>adc()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; int, arraysize &gt; eic::TrackerRawDataCollection::adc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00206">206</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ae4951a8dd0410d2e61d06f16a505ebe1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4951a8dd0410d2e61d06f16a505ebe1">&#9670;&nbsp;</a></span>at() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> eic::TrackerRawDataCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00027">27</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

</div>
</div>
<a id="a9ce233c0d18e67bb7eff05cc88704cf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ce233c0d18e67bb7eff05cc88704cf8">&#9670;&nbsp;</a></span>at() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> eic::TrackerRawDataCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00035">35</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

</div>
</div>
<a id="a02fa77c5e3015d6118220c7cc257aee6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02fa77c5e3015d6118220c7cc257aee6">&#9670;&nbsp;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_raw_data_collection.html#adcb2bfd24dcf377bd60b72f57c2c17b9">const_iterator</a> eic::TrackerRawDataCollection::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00117">117</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<a id="ad84c35536a08ddbde203a214edb96e6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad84c35536a08ddbde203a214edb96e6b">&#9670;&nbsp;</a></span>cellID0()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::TrackerRawDataCollection::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00166">166</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="abd2d3c49070cd88a927205afeee8260b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd2d3c49070cd88a927205afeee8260b">&#9670;&nbsp;</a></span>cellID1()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::TrackerRawDataCollection::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00176">176</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a125f1a06f924f6d8e112b3a5d2a9d559"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a125f1a06f924f6d8e112b3a5d2a9d559">&#9670;&nbsp;</a></span>channelID()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::TrackerRawDataCollection::channelID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00186">186</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ad437023bfc6243e59f90c5a0c8f721e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad437023bfc6243e59f90c5a0c8f721e0">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawDataCollection::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00050">50</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00018">~TrackerRawDataCollection()</a>.</p>

</div>
</div>
<a id="a3946f77a5bd97176888d9078d72e8e79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3946f77a5bd97176888d9078d72e8e79">&#9670;&nbsp;</a></span>create() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> eic::TrackerRawDataCollection::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append a new object to the collection, and return this object. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00043">43</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

</div>
</div>
<a id="a8aacb38f6cd7f1f681091d3bcc443f72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8aacb38f6cd7f1f681091d3bcc443f72">&#9670;&nbsp;</a></span>create() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Args&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> eic::TrackerRawDataCollection::create </td>
          <td>(</td>
          <td class="paramtype">Args &amp;&amp;...&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Append a new object to the collection, and return this object. Initialized with the parameters given </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00158">158</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<a id="afab52673ccf90acaabdd28864e17c3ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afab52673ccf90acaabdd28864e17c3ec">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_raw_data_collection.html#adcb2bfd24dcf377bd60b72f57c2c17b9">const_iterator</a> eic::TrackerRawDataCollection::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00120">120</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<a id="a9491868a7b9ce212f19a0be29de7ddc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9491868a7b9ce212f19a0be29de7ddc4">&#9670;&nbsp;</a></span>getBufferAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void* eic::TrackerRawDataCollection::getBufferAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the address of the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00125">125</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<a id="a0387d13e296829b4d089ecbfe700cf22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0387d13e296829b4d089ecbfe700cf22">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned eic::TrackerRawDataCollection::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00108">108</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<a id="ad3fe7c2d4238c3b8203b371664df681a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3fe7c2d4238c3b8203b371664df681a">&#9670;&nbsp;</a></span>getValueTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string eic::TrackerRawDataCollection::getValueTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fully qualified type name of elements - with namespace </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00077">77</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<a id="a1cdc1549844389f49f36569ac5a651bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cdc1549844389f49f36569ac5a651bc">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerRawDataCollection::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00112">112</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<a id="ac2dd4b6f8d6cc84546aae43a6ac9cccc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2dd4b6f8d6cc84546aae43a6ac9cccc">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_raw_data_collection.html">TrackerRawDataCollection</a>* eic::TrackerRawDataCollection::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator to allow pointer like calling of members a la LCIO </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00063">63</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<a id="aec90f24692c84b68b37afb3f39a3755f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec90f24692c84b68b37afb3f39a3755f">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> eic::TrackerRawDataCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00023">23</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

</div>
</div>
<a id="ada6c71a37b7e335b932687b519442189"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada6c71a37b7e335b932687b519442189">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> eic::TrackerRawDataCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of a given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00031">31</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

</div>
</div>
<a id="a0d0b893415c85c8113b46fa6bdccb766"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d0b893415c85c8113b46fa6bdccb766">&#9670;&nbsp;</a></span>prepareAfterRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawDataCollection::prepareAfterRead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00065">65</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

</div>
</div>
<a id="a18351fd5d0945d83418052e399b59bef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18351fd5d0945d83418052e399b59bef">&#9670;&nbsp;</a></span>prepareForWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawDataCollection::prepareForWrite </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00056">56</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="a39b6a25ca3a3383fbc414513121d930d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39b6a25ca3a3383fbc414513121d930d">&#9670;&nbsp;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawDataCollection::push_back </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append object to the collection. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00081">81</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="ad7be83fd50a526cb4645587a3f10cdba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7be83fd50a526cb4645587a3f10cdba">&#9670;&nbsp;</a></span>referenceCollections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::CollRefCollection* eic::TrackerRawDataCollection::referenceCollections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00097">97</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<a id="af969cb77886ecc553027b83ba0dd4a13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af969cb77886ecc553027b83ba0dd4a13">&#9670;&nbsp;</a></span>setBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawDataCollection::setBuffer </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00093">93</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

</div>
</div>
<a id="a5c95ef1fc9acdd1566725c3fa65cb2b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c95ef1fc9acdd1566725c3fa65cb2b2">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawDataCollection::setID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00101">101</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<a id="a2bdab462d1cde1d9d2f1f90fe45b15be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bdab462d1cde1d9d2f1f90fe45b15be">&#9670;&nbsp;</a></span>setReferences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerRawDataCollection::setReferences </td>
          <td>(</td>
          <td class="paramtype">const podio::ICollectionProvider *&#160;</td>
          <td class="paramname"><em>collectionProvider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00076">76</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

</div>
</div>
<a id="ab4b866ee87e35f4b8a7e94b1dd16447f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4b866ee87e35f4b8a7e94b1dd16447f">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t eic::TrackerRawDataCollection::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>number of elements in the collection </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00039">39</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>, <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00056">prepareForWrite()</a>, and <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00081">push_back()</a>.</p>

</div>
</div>
<a id="a9c9767df02caad3450b12bb01d81245d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c9767df02caad3450b12bb01d81245d">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; int, arraysize &gt; eic::TrackerRawDataCollection::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00196">196</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a3e89af80ac8facc9de3853e4897b503f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e89af80ac8facc9de3853e4897b503f">&#9670;&nbsp;</a></span>vectorMembers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::VectorMembersInfo* eic::TrackerRawDataCollection::vectorMembers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00099">99</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a></li>
<li>src/<a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
